Bug 1470297 - Allow "pcs resource enable/disable/restart" take effect immediately (disregarding start-delay, interval-origin operation attributes)
Allow "pcs resource enable/disable/restart" take effect immediately (disregar...
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pcs (Show other bugs)
7.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Tomas Jelinek
cluster-qe@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-12 12:39 EDT by Jan Pokorný
Modified: 2017-11-30 12:44 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3256201 None None None 2017-11-30 12:44 EST

  None (edit)
Description Jan Pokorný 2017-07-12 12:39:03 EDT
It's very counterintuitive that start-delay parameter will kick in when
enabling/disabling the resource manually.

I would even suggest that "immediate" mode should be default and honoring
start-delay should be upon request (--no-rush).
Comment 1 Jan Pokorný 2017-07-13 03:31:33 EDT
Add "pcs resource restart" into the mix ([bug 1469801 comment 6]).
Comment 2 Tomas Jelinek 2017-07-13 03:59:13 EDT
Jan,

Can you elaborate on what the problem is, provide a reproducer and show what actual and expected behavior is. Thanks.
Comment 3 Jan Pokorný 2017-07-13 10:07:17 EDT
Per summary, the problem is that start-delay is honored at places it
is against the spirit of the intention of who launches the respective
pcs command.

It's entirely OK, when it is honored
- in the standard run of pacemaker resource management

It's likely OK, when it is honored
- for the resources associated with the resource being enabled/disabled
  /restarted
- non-primitive resources (likely requires further investigation)

It's not OK (IMHO), when it is honored
- pcs resource (enable|disable|restart) <primitive>

If some wait time is required, the user should simply wait on it's own
or prepend "sleep X" to the compound command, any internal implied
delays are (again IMHO) harmful in such case.
Comment 4 Jan Pokorný 2017-07-19 09:38:34 EDT
I had a look at Pacemaker Explained and it doesn't refer to to start-delay
directly, but announces interval-origin instead, which should likewise be
suppressed in the described scenario:

http://clusterlabs.org/doc/en-US/Pacemaker/1.1-pcs/html-single/Pacemaker_Explained/index.html#s-recurring-start

Note You need to log in before you can comment on or make changes to this bug.